<?php
/**
 * @package linea21.core
 * @subpackage public
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */
include_once('../lib/lib_common.php');
ob_start('optimize');
session_start(); // necessary for adding a new entry in yellowpages
include_once('../config/define.php');
include_once('../config/server.php');
distInclude(THEME_PUBLIC_PATH.SQL.'.inc.php', THEME_PUBLIC_DIST);
include_once('../admin/'.SQL.'.inc.php');
distInclude(THEME_PUBLIC_PATH.'filters.php', THEME_PUBLIC_DIST);
distInclude(THEME_PUBLIC_PATH.'layout.php', THEME_PUBLIC_DIST); 
include_once('../lib/functions_auth.php');
include_once('../lib/lang.php');
include_once('../lib/items.php');
distInclude(THEME_PUBLIC_PATH.'display.php', THEME_PUBLIC_DIST);
ActiveItem();
IncludeLang();
////////////////////////////////////////
/// Connexion Mysql
///////////////////
include_once('../class/system/class.'.SQL.'.php');
$sql_entity=SQL;
$GLOBALS['sql_object'] = new $sql_entity;
$GLOBALS['sql_object'] -> DBInitialise();
$GLOBALS['sql_object'] -> DBConnexion();
///////////////////

include_once(THEME_PUBLIC_PATH."index.php");

$GLOBALS['sql_object'] -> DBClose();
ob_end_flush();

?>